fs = 20e3;              % Sampling, interrupt and switching frequency [Hz]
Ts = 1/fs;				% Sampling and switching period [s]

Lb = 2.5e-3;            % Converter inductance [H]
Rb = 13e-3;             % Resistance of the inductor [Ohm]

Vb_dc_0 = 300;          % Initial DC bus voltage [V]
Vb = 55;                % Battery voltage [V]


% BATTERY CURRENT CONTROL
K4 = 1/Rb;
T4 = Lb/Rb;

% For carrier with 0 phase shift
Td4 = (1 + 1/2)*Ts; % 1*Ts of control delay, 1/2*Ts of modulator delay

Tn4 = T4;
Ti4 = 2*K4*Td4;

Kp4_0 = Tn4/Ti4;
Ki4_0 = 1/Ti4;

% For carrier with 0.5 phase shift
Td4 = (1/2 + 1/2)*Ts; % 1/2*Ts of control delay, 1/2*Ts of modulator delay

Tn4 = T4;
Ti4 = 2*K4*Td4;

Kp4_1 = Tn4/Ti4;
Ki4_1 = 1/Ti4;